DNF-REPOSYNC(8)

BEZEICHNUNG
reposync - Reposync-Plugin von DNF

Pakete einer fernen DNF-Paketquelle mit einem lokalen Verzeichnis abgleichen.

ÜBERSICHT

dnf reposync [Optionen]

BESCHREIBUNG

reposync erstellt lokale Kopien einer fernen Paketquelle. Pakete, die bereits im lokalen Verzeichnis vorhanden sind, werden nicht erneut heruntergeladen.

OPTIONEN

Alle allgemeinen DNF-Optionen werden akzeptiert. Insbesondere kann die Option --repoid zur Angabe der abzugleichenden Paketquellen verwendet werden. Siehe Optionen in dnf(8) für Details.

-a <Architektur>, --arch=<Architektur>
    lädt nur Pakete der angegebenen Architekturen herunter (standardmäßig alle Architekturen). Dies kann mehrmals angegeben werden.

--delete
    löscht lokale Pakete, die in der Paketquelle nicht mehr vorhanden sind.

--download-metadata
    lädt alle Paketquellen-Metadaten herunter. Die heruntergeladene Kopie ist sofort als Paketquelle verwendbar, ohne dass createrepo_c ausgeführt werden muss.

-g, --gpgcheck
    entfernt Pakete, die nach dem Herunterladen die Überprüfung der GPG-Signatur nicht bestanden haben. Der Exit-Code ist 1, falls mindestens ein Paket entfernt wurde. Beachten Sie, dass für Paketquellen, für die gpgcheck=0 in deren Konfiguration gesetzt ist, auch bei Verwendung dieser Option die GPG-Signatur nicht überprüft wird.

-m, --downloadcomps
    lädt auch die Datei comps.xml herunter und entpackt sie. Ziehen Sie stattdessen die Option --download-metadata in Betracht, mit der sämtliche verfügbaren Metadaten heruntergeladen werden.

--metadata-path
    gibt den Wurzelpfad an, unter dem die heruntergeladenen Metadaten gespeichert werden. Standardmäßig --download-path, falls nicht angegeben.

-n, --newest-only
    lädt nur die neuesten Pakete herunter (auf die Paketquelle bezogen).

--norepopath
    fügt den Namen der Paketquelle nicht zum Downloadpfad hinzu. Dies kann nur verwendet werden, wenn eine einzelne Paketquelle abgeglichen wird (standardmäßig wird der Name der Paketquelle hinzugefügt).

-p <Downloadpfad>, --download-path=<Downloadpfad>
    gibt den Wurzelpfad an, unter dem die heruntergeladenen Paketquellen gespeichert sind, relativ zum aktuellen Arbeitsverzeichnis. Standardmäßig ist dies das aktuelle Arbeitsverzeichnis. Jede heruntergeladene Paketquelle hat ein Unterverzeichnis in diesem Pfad, das nach der Kennung der Paketquelle benannt ist.

--remote-time
    versucht, die Zeitstempel der heruntergeladenen Dateien auf die Zeitstempel der fernen Dateien zu setzen.

--source
    lädt nur Quellpakete herunter.

-u, --urls
    listet die Adressen dessen auf, was heruntergeladen werden würde, lädt aber tatsächlich nichts herunter.

BEISPIELE

dnf reposync --repoid=das_Repo
    gleicht alle Pakete aus der Paketquelle mit der Kennung »das_Repo« ab. Die abgeglichene Kopie wird im Unterverzeichnis »das_Repo« des aktuellen Arbeitsverzeichnisses gespeichert.

dnf reposync -p /Pfad/zu/meinen/Repos --repoid=das_Repo
    gleicht alle Pakete aus der Paketquelle »das_Repo« ab. In diesem Fall werden Dateien im Verzeichnis »/Pfad/zu/meinen/Paketquellen/das_Repo« gespeichert.

dnf reposync --repoid=das_Repo --download-metadata
    gleicht alle Pakete und Metadaten aus der Paketquelle »das_Repo« ab.

    Mit der Option --download-metadata abgeglichene Paketquellen können in DNF direkt verwendet werden, beispielsweise mit der Option --repofrompath:

    dnf --repofrompath=abgeglichenes_Repo,das_Repo --repoid=abgeglichenes_Repo list --available

SIEHE AUCH

•   dnf(8), DNF-Befehlsreferenz

AUTOR
Siehe AUTHORS im Paket der Core DNF Plugins.

COPYRIGHT
2023, Red Hat, lizenziert unter GPLv2+

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).